Subject: Re: bug#63861: [PATCH] pp.el: New "pretty printing" code

From: Ihor Radchenko <[email-masked]>
Date: Fri, 09 Jun 2023 15:09:15 +0000

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I haven't seen "really bizarre results" with `pp-region` yet, but
> I wouldn't be surprised if that can happen: I've been playing with
> various pretty-printing alternatives over the years and they all seem to
> suffer from weird behaviors occasionally, except for those that insert
> too many line breaks.

If algorithms that insert "too many" line breaks can be reasonably fast,
can they be executed first followed by merging the excessive lines back?

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>